using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace AR
{

    public class SystemSetting : Setting
    {
        public int SaftySensor_Threshold { get; set; }

        #region "System Setting"
        public int MotaxisCount { get; set; }
        #endregion

        #region "Signal Reverse"


        [Category("Signal Reverse")]
        public Boolean ReverseSIG_Emgergency { get; set; }
        [Category("Signal Reverse")]
        public Boolean ReverseSIG_ButtonAir { get; set; }
        [Category("Signal Reverse")]
        public Boolean ReverseSIG_DoorF { get; set; }
        [Category("Signal Reverse")]
        public Boolean ReverseSIG_DoorR { get; set; }
        [Category("Signal Reverse")]
        public Boolean ReverseSIG_AirCheck { get; set; }
        [Category("Signal Reverse")]
        public Boolean ReverseSIG_PortLimitUp { get; set; }
        [Category("Signal Reverse")]
        public Boolean ReverseSIG_PortLimitDn { get; set; }
        [Category("Signal Reverse")]
        public Boolean ReverseSIG_PortDetect0Up { get; set; }
        [Category("Signal Reverse")]
        public Boolean ReverseSIG_PortDetect1Up { get; set; }
        [Category("Signal Reverse")]
        public Boolean ReverseSIG_PortDetect2Up { get; set; }
        [Category("Signal Reverse")]
        public Boolean ReverseSIG_PickerSafe { get; set; }

        [Category("Signal Reverse")]
        public Boolean ReverseSIG_ExtConvReady { get; set; }

        #endregion


        [Category("Door Safty"), DisplayName("Disable Front - Left")]

        public Boolean Disable_safty_F0 { get; set; }
        [Category("Door Safty"), DisplayName("Disable Front - Center")]

        public Boolean Disable_safty_F1 { get; set; }
        [Category("Door Safty"), DisplayName("Disable Front - Right")]

        public Boolean Disable_safty_F2 { get; set; }
        [Category("Door Safty"), DisplayName("Disable Rear - Left")]

        public Boolean Disable_safty_R0 { get; set; }
        [Category("Door Safty"), DisplayName("Disable Rear - Center")]

        public Boolean Disable_safty_R1 { get; set; }
        [Category("Door Safty"), DisplayName("Disable Rear - Right")]

        public Boolean Disable_safty_R2 { get; set; }

        public SystemSetting()
        {
            this.filename = UTIL.MakePath("Data", "system.xml");
        }
        public override void AfterLoad()
        {
            MotaxisCount = 7;
        }
        public override void AfterSave()
        {
            //throw new NotImplementedException();
        }
    }
}
